> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-terraform-v2-owner-resources.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Bindings

> DeleteBindings removes up to 100 Toolset assignments from an Assigned-tools Virtual MCP Server.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/virtual_mcp_servers/{virtual_mcp_server_id}/toolset_bindings/delete
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/virtual_mcp_servers/{virtual_mcp_server_id}/toolset_bindings/delete:
    post:
      tags:
        - Virtual MCP Servers
      summary: Delete Bindings
      description: >-
        DeleteBindings removes up to 100 Toolset assignments from an
        Assigned-tools Virtual MCP Server.
      operationId: c1.api.ai_governance.v1.VirtualMCPToolsetBindingService.DeleteBindings
      parameters:
        - in: path
          name: virtual_mcp_server_id
          required: true
          schema:
            description: Immutable identifier of the Virtual MCP Server.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.ai_governance.v1.VirtualMCPToolsetBindingServiceDeleteBindingsRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ai_governance.v1.VirtualMCPToolsetBindingServiceDeleteBindingsResponse
          description: >-
            VirtualMCPToolsetBindingServiceDeleteBindingsResponse confirms the
            assignments were deleted.
components:
  schemas:
    c1.api.ai_governance.v1.VirtualMCPToolsetBindingServiceDeleteBindingsRequestInput:
      description: >-
        VirtualMCPToolsetBindingServiceDeleteBindingsRequest removes Toolsets
        from one Virtual MCP Server.
      properties:
        mcpAccessProfiles:
          description: >-
            Complete Toolset references to unassign. Duplicate tuples are
            ignored.
          items:
            $ref: '#/components/schemas/c1.api.ai_governance.v1.MCPAccessProfileRef'
          type:
            - array
            - 'null'
      title: Virtual Mcp Toolset Binding Service Delete Bindings Request
      type: object
      x-speakeasy-name-override: VirtualMCPToolsetBindingServiceDeleteBindingsRequest
    c1.api.ai_governance.v1.VirtualMCPToolsetBindingServiceDeleteBindingsResponse:
      description: >-
        VirtualMCPToolsetBindingServiceDeleteBindingsResponse confirms the
        assignments were deleted.
      title: Virtual Mcp Toolset Binding Service Delete Bindings Response
      type: object
      x-speakeasy-name-override: VirtualMCPToolsetBindingServiceDeleteBindingsResponse
    c1.api.ai_governance.v1.MCPAccessProfileRef:
      description: |-
        MCPAccessProfileRef is a lightweight reference to an MCP access profile,
         used for websocket notifications and search filter refs.
      properties:
        appId:
          description: The appId field.
          type: string
        connectorId:
          description: The connectorId field.
          type: string
        id:
          description: The id field.
          type: string
      title: Mcp Access Profile Ref
      type: object
      x-speakeasy-name-override: MCPAccessProfileRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````